#### Linux From Scratch - Version 7.9

### Chapter 6. Installing Basic System Software

- Prev

  Bzip2-1.0.6

- Next

  Ncurses-6.0

- Up
- Home

# 6.19. Pkg-config-0.29

The pkg-config package contains a tool for passing the include path and/or library paths to build tools during the configure and make file execution.

Approximate build time: 0.3 SBU
Required disk space: 29 MB

## 6.19.1. Installation of Pkg-config

Prepare Pkg-config for compilation:

    ./configure --prefix=/usr        \
                --with-internal-glib \
                --disable-host-tool  \
                --docdir=/usr/share/doc/pkg-config-0.29

The meaning of the new configure options:

`--with-internal-glib`

  This will allow pkg-config to use its internal version of Glib because an external version is not available in LFS.

`--disable-host-tool`

  This option disables the creation of an undesired hard link to the pkg-config program.

Compile the package:

    make

To test the results, issue:

    make check

Install the package:

    make install

## 6.19.2. Contents of Pkg-config

Installed program: pkg-config
Installed directory: /usr/share/doc/pkg-config-0.29

### Short Descriptions

pkg-config | returns meta information for the specified library or package

- Prev

  Bzip2-1.0.6

- Next

  Ncurses-6.0

- Up
- Home